RSAKeyParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.params

## Class RSAKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.crypto.params.RSAKeyParameters

- All Implemented Interfaces:
    CipherParameters
  Direct Known Subclasses:
    RSAPrivateCrtKeyParameters

      public class RSAKeyParameters
      extends AsymmetricKeyParameter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RSAKeyParameters(boolean isPrivate, java.math.BigInteger modulus, java.math.BigInteger exponent)`
    `RSAKeyParameters(boolean isPrivate, java.math.BigInteger modulus, java.math.BigInteger exponent, boolean isInternal)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigInteger` | `getExponent()`
    `java.math.BigInteger` | `getModulus()`
    `static java.math.BigInteger` | `validateModulus(java.math.BigInteger modulus)`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RSAKeyParameters

          public RSAKeyParameters(boolean isPrivate,
                                  java.math.BigInteger modulus,
                                  java.math.BigInteger exponent)

    - #### RSAKeyParameters

          public RSAKeyParameters(boolean isPrivate,
                                  java.math.BigInteger modulus,
                                  java.math.BigInteger exponent,
                                  boolean isInternal)

  - ### Method Detail

    - #### validateModulus

          public static java.math.BigInteger validateModulus(java.math.BigInteger modulus)

    - #### getModulus

          public java.math.BigInteger getModulus()

    - #### getExponent

          public java.math.BigInteger getExponent()